#%undefine __libtoolize
%define objprelink 0

Name: ktvgrab
Version: 0.3
Release: alt3
Source0: %name-%version.tar.bz2
URL: http://sourceforge.net/projects/kmediagrab
License: GPL
Group: Video
Summary: Ktvgrab is a grabs audio/video from a Tv video card
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Requires: MPlayer

# Automatically added by buildreq on Fri Jun 11 2004
BuildRequires: XFree86-devel-static XFree86-libs boson fontconfig freetype2 gcc-c++ gcc-java hostinfo kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer zlib-devel
%if %objprelink
BuildRequires: objprelink
%endif

%description
Ktvgrab is a front end to some of mplayer/mencoder features. In detail it grabs audio/video from a Tv video card and translate a video file from one format to another.

%prep
%setup -q

%build
%__subst 's,\.la\>,.so,' configure
%configure \
	--disable-rpath \
	--with-xinerama \
	--disable-debug \
	--disable-static \
	--enable-shared

%if %objprelink
%make CXX=g++prelink
%else
%make
%endif

%install
%make DESTDIR=%buildroot install

#create menu
cp %buildroot%_iconsdir/locolor/32x32/apps/*.png %buildroot%_iconsdir/%name.png
mkdir -p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name Multimedia/Video %buildroot%_datadir/applnk/Applications/%name.desktop %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README
%_bindir/*
%_menudir/%name
%_datadir/applnk/Applications/*.desktop
%_iconsdir/*/*/*/*.png
%_iconsdir/*.png

%changelog
* Fri Jun 11 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.3-alt3
- fix requires

* Tue Jan 27 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.3-alt2
- fix builrequires

* Fri Dec 12 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.3-alt1
- 0.3
- building without *.la

- specfile cleanup

